package com.muyu.common.core.enums;

import lombok.Getter;

import java.util.Arrays;

/**
 * @Author: 胡杨
 * @Name: SysNodeType
 * @Description: 节点类型枚举
 * @CreatedDate: 2024/8/29 下午4:46
 * @FilePath: com.muyu.common.core.enums
 */

@Getter
public enum SysNodeType {
    START("start", "开始"),
    TABLE("table", "表结构"),
    UNITE("unite", "联合查询"),
    EXPORTATION("exportation", "数据输出"),
    END("end", "结束");

    private final String code;
    private final String info;

    SysNodeType(String code, String info) {
        this.code = code;
        this.info = info;
    }

    /**
     * 鉴别参数是否是枚举的值
     *
     * @param code 需鉴别参数
     * @return 如果存在返回结果turn, 否则返回false
     */
    public static boolean isCode(String code) {
        return Arrays.stream(values())
                .map(SysNodeType::getCode)
                .anyMatch(c -> c.equals(code));
    }
}
