package com.muyu.common.core.enums;

import java.util.Arrays;

public enum SysRuleYesNo {
    YES("Y", "是"),
    NO("N", "否"),
    ;
    private final String code;
    private final String info;

    SysRuleYesNo(String code, String info) {
        this.code = code;
        this.info = info;
    }


    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

    /**
     * 鉴别Code是否合法
     *
     * @param code 传code
     * @return 如果存在code则返回true， 不存在则返回false
     */
    public static boolean isCode(String code) {
        return Arrays.stream(values())
                .map(SysRuleYesNo::getCode)
                .anyMatch(s -> s.equals(code));
    }
}
