package com.muyu.common.core.enums;

import java.util.Arrays;

/**
 * @Data 2024/8/1
 * @Description 系统是否枚举
 * @Version 1.0.0
 */
public enum SystemYesNo {

    YES("Y","是"),
    NO("N","否");

    private final String code;
    private final String info;

    SystemYesNo(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode () {
        return code;
    }

    public String getInfo () {
        return info;
    }

    public static Boolean isCode (String code) {
        return Arrays.stream(values())
                .map(SystemYesNo::getCode)
                .anyMatch(c -> c.equals(code));
    }
}
