package com.muyu.common.core.validation;


import com.muyu.common.core.enums.SysPayType;
import com.muyu.common.core.validation.custom.IsSysPayType;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author: 胡杨
 * @Name: IsSystemYesNoValidator
 * @Description: 支付方式校验器
 * @CreatedDate: 2024/8/5 下午8:00
 * @FilePath: com.muyu.common.core.validation
 */

public class IsSysPayTypeValidator implements ConstraintValidator<IsSysPayType,String> {
    @Override
    public boolean isValid(String s, ConstraintValidatorContext constraintValidatorContext) {
        return SysPayType.isCode(s);
    }
}
