package com.muyu.common.core.validation.custom;

import com.muyu.common.core.validation.*;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author: 胡杨
 * @Name: IsSysApiState
 * @Description: 接口调用字典
 * @CreatedDate: 2024/8/20 下午8:07
 * @FilePath: com.muyu.common.core.validation.custom
 */

@Target({ElementType.FIELD})
@Retention(RUNTIME)
@Documented
@Constraint(validatedBy = IsSysApiStateValidator.class)
public @interface IsSysApiState {
    String message() default "数据字典:[接口调用字典] - 参数不合法";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
