package com.muyu.common.core.validation.custom;

import com.muyu.common.core.validation.*;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author: 胡杨
 * @Name: SysFieldsType
 * @Description: 字段类型字典判断注释
 * @CreatedDate: 2024/8/29 下午1:53
 * @FilePath: com.muyu.common.core.validation.custom
 */

@Target({ElementType.FIELD})
@Retention(RUNTIME)
@Documented
@Constraint(validatedBy = IsSysFieldsTypeValidator.class)
public @interface IsSysFieldsType {
    String message() default "数据字典:[字段类型字典] - 参数不合法";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
