package com.muyu.common.core.validation.custom;

import com.muyu.common.core.validation.*;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author: 胡杨
 * @Name: SysNodeType
 * @Description: 节点类型字典
 * @CreatedDate: 2024/8/29 下午4:47
 * @FilePath: com.muyu.common.core.validation.custom
 */

@Target({ElementType.FIELD})
@Retention(RUNTIME)
@Documented
@Constraint(validatedBy = IsSysNodeTypeValidator.class)
public @interface IsSysNodeType {
    String message() default "数据字典:[节点类型字典] - 参数不合法";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
